package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.Autonomous;
import com.qualcomm.robotcore.eventloop.opmode.OpMode;

import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.runmodes.Auto;


@Autonomous(name = "CometBot Auto", group = "Competition")
public class CometBotAuto extends OpMode {
    public Auto auto;

    @Override
    public void init() {
        auto = new Auto(hardwareMap, telemetry, new Follower(hardwareMap));
    }

    @Override
    public void start() {
        auto.start();
    }

    @Override
    public void loop() {
        auto.update();
        telemetry.addData("Arm State", auto.arm.getState());
        telemetry.addData("Arm Position", auto.arm.getPosition());
        telemetry.addData("Claw State", auto.claw.getState());
        telemetry.addData("Wrist State", auto.wrist.getState());
        telemetry.addData("Wrist Position", auto.wrist.getPosition());
        telemetry.update();
    }

}