package org.firstinspires.ftc.teamcode.util.action;

import com.acmerobotics.dashboard.telemetry.TelemetryPacket;

public class SleepAction implements Action {
    private double dt;
    private double beginTs = -1.0;

    public SleepAction(double dt) {
        this.dt = dt;
    }

    public static double now() {
        return System.nanoTime() * 1e-9;
    }

    @Override
    public boolean run(TelemetryPacket p) {
        double t;
        if (beginTs < 0) {
            beginTs = now();
            t = 0.0;
        } else {
            t = now() - beginTs;
        }
        boolean output = t < dt;
        System.out.println(t + ":" + now() + ":" + beginTs + ":" + output);

        return t < dt;
    }
}